@echo off
echo This batch file will build the Show Text JAR
echo You must have the JDK1.1x tools and the BDK tools
echo installed properly for it to work.

echo Building Java Classes...
javac CircleVisual.java

echo Creating JAR file with appropriate manifest...
echo We include the source for convenience to a user
echo who might wish to modify the JAR contents later.
jar cfm CustomDisplay.jar CustomDisplay.mf CircleVisual.class CircleVisual.java images/Circle.gif CustomDisplay.jsb 

echo Done.
